#include <iostream>

using namespace std;
int cifre(long long n)
{
    int temp=0;
    while(n!=0) {
        n=n/10;
        temp++;
    }
    return temp;
}
void niz(long long n,int t[],int cifra)
{
    for (int i = cifra; i>=0; i--)
    {
        t[i]=n%10;
        n=n/10;
    }
}
int main()
{
    long long x,y;
    int a[10],b[10],c[10],g,d,k=0;
    cin>>x>>y;
    int cifrax=cifre(x);
    int cifray=cifre(y);

    if(cifrax==cifray)
    {
        niz(x,a,cifrax);
        niz(y,b,cifrax);
        d=cifray;
    }
    if(cifrax>cifray)
    {
        niz(x,a,cifrax);
        niz(y,b,cifrax);
        d=cifrax;
    }
    if(cifrax<cifray)
    {
        niz(x,a,cifray);
        niz(y,b,cifray);
        d=cifray;
    }
    for(int i=1;i<d+1;i++)
    {
        if(a[i]>b[i]){
            g++;
            c[g]=a[i];
        }
        if(a[i]<b[i]){
            g++;
            c[g]=b[i];
        }
        if(a[i]==b[i]){
                if(a[i]==0 && cifrax!=cifray)
                {
                    int l=0;
                    if(cifrax>cifray)
                    {
                        for(int j=i;j>0;j--)
                        {
                            if(b[j]!=0)
                                l++;
                        }
                        if(l==0){
                            g++;
                            c[g]=a[i];
                        }
                        else
                        {
                            g++;
                            c[g]=a[i];
                            g++;
                            c[g]=b[i];
                        }

                    }
                    else
                    {
                        for(int j=i;j>0;j--)
                        {
                            if(a[j]!=0)
                                l++;
                        }
                        if(l==0){
                            g++;
                            c[g]=b[i];
                        }
                        else
                        {
                            g++;
                            c[g]=a[i];
                            g++;
                            c[g]=b[i];
                        }
                    }
                }
                else
                {
                    g++;
                    c[g]=a[i];
                    g++;
                    c[g]=b[i];
                }
        }
    }
    for (int i=1;i<g+1;i++)
        k=10*k+c[i];
    cout<<k;

    return 0;
}